# Tests for ob-installdocs
#
# Copyright (C) 2019 Patrick McDermott
#
# This file is part of opkbuild.
#
# opkbuild is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# opkbuild is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with opkbuild.  If not, see <http://www.gnu.org/licenses/>.

set -eu

. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
. "${TOP_SRCDIR}/tests/aux/common.sh"

plan_ 10

rm -Rf *'.data/'

command_ok_ 'ob-installdocs first run exit status' -- ob-installdocs
for f in 'copyright' 'changelog.dist' 'README.upstream'; do
	command_ok_ "${f} file installed" -- \
		[ -f "foo.data/usr/share/doc/foo/${f}" ]
done
command_ok_ 'link created' -- [ -L 'bar.data/usr/share/doc/bar' ]

command_ok_ 'ob-installdocs second run exit status' -- ob-installdocs
for f in 'copyright' 'changelog.dist' 'README.upstream'; do
	command_ok_ "${f} file installed" -- \
		[ -f "foo.data/usr/share/doc/foo/${f}" ]
done
command_ok_ 'link created' -- [ -L 'bar.data/usr/share/doc/bar' ]
